package cn.ezhizao.project.business.service;

import cn.ezhizao.project.business.domain.BizLot;
import cn.ezhizao.project.business.domain.BizProductionPlanDetail;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * 生产计划明细Service接口
 *
 * @author ruoyi
 * @date 2023-11-04
 */
public interface IBizLotService extends IService<BizLot>
{
    /**
     * 查询生产计划明细列表
     *
     * @param data 生产计划明细
     * @return 生产计划明细集合
     */
    List<BizLot> getNotStartList(BizProductionPlanDetail data);

    /**
     * 查询生产计划明细列表
     *
     * @param data 生产计划明细
     * @return 生产计划明细集合
     */
    List<BizLot> getList(BizLot data);
    /**
     * 查询生产计划明细列表
     *
     * @param data 生产计划明细
     * @return 生产计划明细集合
     */
    BizLot getLastLot(BizLot data);

    /**
     * 查询生产计划明细列表
     *
     * @param data 生产计划明细
     * @return 生产计划明细集合
     */
    List<BizLot> getLotList(BizLot data);

    /**
     * 查询生产计划明细列表
     *
     * @param data 生产计划明细
     * @return 生产计划明细集合
     */
    List<BizLot> getLotInfo(BizProductionPlanDetail data);

    /**
     * 物理删除
     * @param data
     * @return 删除结果
     */
    int physicalDelete(BizLot data);

}
